﻿using System.Collections.Generic;

namespace TestProject
{
    /// <summary>
    /// 샘플 태스크 리스트
    /// </summary>
    public class SampleTaskList
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 샘플 태스크 리스트 구하기 - GetSampleTaskList()

        /// <summary>
        /// 샘플 태스크 리스트 구하기
        /// </summary>
        /// <returns>샘플 태스크 리스트</returns>
        public static List<Task> GetSampleTaskList()
        {
            return new List<Task>
            {
                new Task()
                {
                    Owner    ="Mike Sanders",
                    Team     = Team.ResearchAndDeveloment,
                    Title    = "Rework Demos",
                    Severity = Severity.Moderate
                },
                new Task()
                {
                    Owner    = "Jack Mu",
                    Team     = Team.Internal,
                    Title    ="Bring a 2nd monitor to Ann Gore",
                    Severity = Severity.Minor
                },
                new Task()
                {
                    Owner    = "Jane Hudson",
                    Team     = Team.Common,
                    Title    ="Collect feedback from trial users",
                    Severity = Severity.Moderate
                },
                new Task()
                {
                    Owner    = "Frank Doe",
                    Team     = Team.Support,
                    Title    = "Fix demo bugs!!!",
                    Severity = Severity.Severe
                }
            };
        }

        #endregion
    }
}