﻿using System.ComponentModel.DataAnnotations;

namespace TestProject
{
    /// <summary>
    /// 팀
    /// </summary>
    public enum Team
    {
        /// <summary>
        /// 공통
        /// </summary>
        Common = 1,

        /// <summary>
        /// R&D
        /// </summary>
        [Display(Name = "R&D")]
        ResearchAndDeveloment = 2,

        /// <summary>
        /// 지원
        /// </summary>
        Support = 3,

        /// <summary>
        /// 내부
        /// </summary>
        Internal = 4
    }
}